public class Konto {
  // (Instanzvariablen der) Eigenschaften
  private String besitzerName;
  private double kontostand;

  //Konstruktor
  public Konto (String besitzerName){
    this.besitzerName = besitzerName;
    this.kontostand = 0.0;
  }
  
  // Methoden
  public void setBesitzerName(String neuerName)
  {
     this.besitzerName = neuerName; 
  }
  
  public String getBesitzerName()
  {
     return this.besitzerName;
  }
  
  public void setKontostand(double betrag)
  {
     this.kontostand = betrag; 
  }
  
  public double getKontostand()
  {
     return this.kontostand;
  }  
  
  public void einzahlen(double betrag)
  {
     this.kontostand += betrag;
  } 
  
  public void ueberweise(double betrag, Konto zielkonto)
  {  
     double zwischenspeicher;
     this.kontostand -= betrag;
     // Um den Betrag zu buchen, schlage ich 3 Varianten vor.
     // Bitte entfernen Sie die Kommentierung, wenn Sie eine andere Variante 
     // testen wollen.
     
     // *** Variante 1: ***
     // zielkonto.einzahlen(betrag); // diese Variante ist sehr effektiv.
     // Sie nutzt die Methode einzahlen des Zielkontos, 
     // lsst aber keinen Zugriff per if auf Kontostnde des Zielkontos zu.
     // daher eine zweite Variante, die auch funktioniert:
     // *** Variante 2:  ***
     zwischenspeicher = zielkonto.getKontostand();
     zwischenspeicher += betrag;
     zielkonto.setKontostand(zwischenspeicher);
     // oder auch in kompakter Form ohne Zwischenspeicher
     // *** Variante 3: *** 
     // zielkonto.setKontostand(zielkonto.getKontostand()+betrag);
  }   
  
} // Diese Klammer muss am Ende stehen