public class Auto {

  private double volumenTank;
  private double verbrauchAuf100km;
  private double aktuellerFuellstand;

  // Konstruktor
  public Auto(double pVolumenTank, double pVerbrauchAuf100km) {
    volumenTank=pVolumenTank;
    verbrauchAuf100km=pVerbrauchAuf100km;
    aktuellerFuellstand=0; // Bei Auslieferung ist der Tank leer
  }
  
  public double getAktuellerFuellstand() {
    return aktuellerFuellstand;
  }

  // Mathoden
  public void setAktuellerFuellstand(double pAktuellerFuellstand) {
    aktuellerFuellstand = pAktuellerFuellstand;
  }

  public double getVerbrauchAuf100km() {
    return verbrauchAuf100km;
  }

  public double getVolumenTank() {
    return volumenTank;
  }

  public void tanke(double menge) {
    this.aktuellerFuellstand+=menge; // fge Menge hinzu
  }
  
  public void fahre(double pKilometerZahl) {
    // Die Formel sagt folgendes aus:
    // vom aktuellen Fllstand wird abgezogen: der Verbruch bei der Kilometerzahl  
    aktuellerFuellstand -= pKilometerZahl / 100 * verbrauchAuf100km; 
  }  

}
